# delete [![NPM version](https://badge.fury.io/js/delete.svg)](http://badge.fury.io/js/delete)  [![Build Status](https://travis-ci.org/jonschlinkert/delete.svg)](https://travis-ci.org/jonschlinkert/delete)

> Delete files and folders and any intermediate directories if they exist (sync and async).

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i delete --save
```

## Usage

```js
var del = require('delete');

// async
del('tmp/foo.md', function(err) {
  if (err) console.log(err);
});

// sync
del.sync('tmp/foo.md');

// promise
del.promise('foo/bar/baz.txt')
  .then(function() {
    //=> do stuff
  });
```

### options.force

_(The `force` option was inspired by [grunt].)_

An error is thrown if you try to delete files outside of the current working directory (cwd).

Override the default behavior:

```js
del.sync('../foo.md', {force: true});
```

## Related

* [copy](https://github.com/jonschlinkert/copy): Copy files or directories using globs.
* [export-files](https://github.com/jonschlinkert/export-files): node.js utility for exporting a directory of files as modules.
* [glob-fs](https://github.com/jonschlinkert/glob-fs): file globbing for node.js. speedy and powerful alternative to node-glob.
* [micromatch](https://github.com/jonschlinkert/micromatch): Glob matching for javascript/node.js. A drop-in replacement and faster alternative to minimatch and multimatch. Just… [more](https://github.com/jonschlinkert/micromatch)
* [read-data](https://github.com/jonschlinkert/read-data): Read JSON or YAML files.
* [write](https://github.com/jonschlinkert/write): Write files to disk, creating intermediate directories if they don't exist.
* [write-yaml](https://github.com/jonschlinkert/write-yaml): Write YAML. Converts JSON to YAML writes it to the specified file.
* [write-json](https://github.com/jonschlinkert/write-json): Write a JSON to file disk, also creates directories in the dest path if they… [more](https://github.com/jonschlinkert/write-json)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/delete/issues/new)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on July 09, 2015._